//This function will display a clock on the LED strip based on the current time
void DisplayClock(){ 
  int seconds = CurrentTime_SOD%60;
  int minutes = (CurrentTime_SOD%3600 - seconds)/60;
  int hours = (CurrentTime_SOD/3600)%12;
  int netseconds = Network_SOD%60;
  int netminutes = (Network_SOD%3600 - netseconds)/60;
  int nethours = (Network_SOD/3600)%12; 
  int alarmseconds = WeekdayAlarm_SOD%60;
  int alarmminutes = (WeekdayAlarm_SOD%3600 - alarmseconds)/60;
  int alarmhours = (WeekdayAlarm_SOD/3600)%12; 
  
  
    for (int i = 0; i < PIXEL_COUNT; ++i) {
      if (i == seconds){
        strip1.setPixelColor(i, 255, 0, 0);
      }
      else if (i == minutes){
        strip1.setPixelColor(i, 0, 255, 0);
      }
      else if (i == hours){
        strip1.setPixelColor(i, 0, 0, 255);
      }
      else if (i == netseconds){
        strip1.setPixelColor(i, 125, 0, 0);
      }
      else if (i == netminutes){
        strip1.setPixelColor(i,  0, 125, 0);
      }
      else if (i == nethours){
        strip1.setPixelColor(i,  0, 0, 125);
      }
      else if (i == alarmseconds){
        strip1.setPixelColor(i,  125, 125, 0);
      }
      else if (i == alarmminutes){
        strip1.setPixelColor(i,  0, 125, 125);
      }
      else if (i == alarmhours){
        strip1.setPixelColor(i,  125, 0, 125);
      }
  }
}

